summaryrefslogtreecommitdiff
path: root/eclass/ghc-package.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-02-05 18:44:56 +0000
committerV3n3RiX <venerix@redcorelinux.org>2020-02-05 18:44:56 +0000
commit29aabba0ea759c6a2864ff5631735b67ee38e5e0 (patch)
treeab466b4dfa7abecb401b2f8039d08af4689306bb /eclass/ghc-package.eclass
parentd42200bec37eef2a7478d88988ff00addd0a9202 (diff)
gentoo resync : 05.02.2020
Diffstat (limited to 'eclass/ghc-package.eclass')
-rw-r--r--eclass/ghc-package.eclass10
1 files changed, 8 insertions, 2 deletions
diff --git a/eclass/ghc-package.eclass b/eclass/ghc-package.eclass
index 27fafff5a21b..dbe7dc2a5acd 100644
--- a/eclass/ghc-package.eclass
+++ b/eclass/ghc-package.eclass
@@ -22,14 +22,20 @@ esac
# @DESCRIPTION:
# returns the name of the ghc executable
ghc-getghc() {
- type -P ${HC:-ghc}
+ if ! type -P ${HC:-ghc}; then
+ ewarn "ghc not found"
+ type -P false
+ fi
}
# @FUNCTION: ghc-getghcpkg
# @DESCRIPTION:
# Internal function determines returns the name of the ghc-pkg executable
ghc-getghcpkg() {
- type -P ${HC_PKG:-ghc-pkg}
+ if ! type -P ${HC_PKG:-ghc-pkg}; then
+ ewarn "ghc-pkg not found"
+ type -P false
+ fi
}
# @FUNCTION: ghc-getghcpkgbin